<template>
  <div class="wrapper">
    <content-header></content-header>
    <div class="main-panel">
      <dashboard-content>
      </dashboard-content>
      <content-footer></content-footer>
    </div>
    <modal v-if="displayModal" @close="modalOff">
      <component v-bind:is="currentModal" :modal-data="modalData"></component>
    </modal>
  </div>
</template>
<style lang="scss">

</style>
<script>
import ContentHeader from './Header.vue';
import DashboardContent from './Content.vue';
import ContentFooter from './Footer.vue';
import ModalMixin from '../../../common/components/ModalMixin';

export default {
  components: {
    ContentHeader,
    DashboardContent,
    ContentFooter,
  },
  mixins: [ModalMixin],
}
</script>
<style lang="scss" scoped>
  .wrapper {
    padding-top: 60rem;
  }
  .main-panel {
    transition: all 0.3s ease-in-out;
  }

  .main-panel.show-side-bar {
    transform: translateX(-240px);
  }
</style>
